Summary: iftop does for network usage what top(1) does for CPU usage.
Name: iftop
Version: 1.0pre4
Release: 1
License: GPL
Group: Applications/System
Source0: http://www.ex-parrot.com/~pdw/iftop/download/%{name}-%{version}.tar.gz
# we force it to use the ncurses library to get the screen characters right
Patch0: %{name}-%{version}-aix.patch
Patch1:  addrs_ioctl.patch
URL: http://www.ex-parrot.com/~pdw/iftop/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: AIX-rpm >= 5.3.0.0
BuildRequires: libpcap-devel >= 1.2.1
BuildRequires: ncurses-devel >= 5.6-2
Requires: AIX-rpm >= 5.3.0.0
Requires: libpcap >= 1.2.1
Requires: ncurses >= 5.6-2

%description
iftop does for network usage what top(1) does for CPU usage. It listens to network traffic on a named interface and displays a table of current bandwidth usage by pairs of hosts. Handy for answering the question "why is our ADSL link so slow?".


%prep
%setup -q
%patch0
%patch1


# Duplicate source for 32 & 64 bits
rm -rf   /tmp/%{name}-%{version}-32bit
cp -pr . /tmp/%{name}-%{version}-32bit
rm -fr *
mv       /tmp/%{name}-%{version}-32bit 32bit
cp -pr 32bit 64bit



%build

cd 64bit
export OBJECT_MODE=64
export CC="/opt/freeware/bin/gcc  -maix64 -O2 -I/opt/freeware/include/ncurses"
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib  -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib "
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make CC="$CC" dlcommon.o
make 

if [ "%{dotests}" == 1 ]
      then
          (gmake -k check || true)
      fi


      cd ../32bit
      export OBJECT_MODE=32
     export CC="/opt/freeware/bin/gcc  -maix32 -O2   -D_LARGE_FILES -O2 -I/opt/freeware/include/ncurses"
export LDFLAGS=" -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}
make CC="$CC" dlcommon.o
make

if [ "%{dotests}" == 1 ]
      then
          (gmake -k check || true)
      fi


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
export PATH=/opt/freeware/bin:$PATH
#make DESTDIR=${RPM_BUILD_ROOT} install

#/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_sbindir}/* || :

#cd ${RPM_BUILD_ROOT}
#mkdir -p usr/sbin
#cd usr/sbin
#ln -sf ../..%{_sbindir}/* .

cd 64bit
      export OBJECT_MODE=64
      export AR="/usr/bin/ar -X64"
          make DESTDIR=${RPM_BUILD_ROOT} install
           /usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :
          (
             cd ${RPM_BUILD_ROOT}%{_sbindir}
            for f in $(ls -1| grep -v -e _32 -e _64)
            do
              mv ${f} ${f}_64
            done
         )

     cd ../32bit
     export OBJECT_MODE=32
     export AR="/usr/bin/ar -X32"
         gmake DESTDIR=${RPM_BUILD_ROOT} install
          /usr/bin/strip ${RPM_BUILD_ROOT}%{_sbindir}/* || :
         (
            cd ${RPM_BUILD_ROOT}%{_sbindir}
            for f in $(ls -1| grep -v -e _32 -e _64)
          do
            mv ${f} ${f}_32
             ln -sf ${f}_64 ${f}
           done
          )


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%{_sbindir}/*
%{_mandir}/man8/*
#/usr/sbin/*


%changelog
* Thu Nov 22 2018 Harshita jain <harjain9@in.ibm.com> - 1.0pre4-1
- Updated in toolbox

* Fri Oct 12 2018 Michael Perzl <michael@perzl.org> - 1.0pre4-1
- updated to version 1.0pre4-1

* Mon Mar 18 2013 Michael Perzl <michael@perzl.org> - 1.0pre2-1
- updated to version 1.0pre2-1

* Mon Mar 18 2013 Michael Perzl <michael@perzl.org> - 0.17-1
- first version for AIX V5.1 and higher

